<?
include_once(_DIR_EXT.'/HTML/c_page_XML_AJAX.php') ;
class c_page_ajax extends c_page_XML_AJAX
{
   function c_page_ajax()
   {
     if (_sizeof($_COOKIE)) foreach($_COOKIE as $name=>$value) if (strpos($name,'SSE-')!==false) setcookie ($name, "", 1);
   }
   function get_monitor_event()
   {

       $last_monitor_mess_id=LOGS()->get_last_monitor_mess_id($_POST['group_id']) ;
       if ($last_monitor_mess_id>$_POST['last_mess_id'])
       { $recs=LOGS()->get_monitor_mess($_POST['group_id'],$_POST['last_mess_id']) ;
         if (_sizeof($recs)) foreach($recs as $rec)
         {  $this->add_element('last_send_mess_id',$rec['pkey']) ;
            if (_sizeof($rec['_data'])) foreach($rec['_data'] as $id=>$value) if (!is_array($value)) $this->add_element($id,$value) ; else $this->add_element($id,serialize($value)) ;
            $this->add_element('session_id',session_id()) ;

         }

       }
       //print_r($_COOKIE) ;

   }













}
